﻿using UnityEngine;
using UnityEngine.UI;

[RequireComponent(typeof(Button))]
public class DialogButton : MonoBehaviour
{
    [SerializeField]
    private int _buttonId;
    public int ButtonID { get { return _buttonId; } }

    [SerializeField]
    private Button _button;
    public Button Button { get { return _button; } }

    [SerializeField]
    private Text _buttonText;
    public Text ButtonText { get { return _buttonText; } }

    [SerializeField]
    private Image _buttonImage;
    public Image ButtonImage { get { return _buttonImage; } }

    public void Reset()
    {
        _button = GetComponent<Button>();
        _buttonText = GetComponentInChildren<Text>();
        _buttonImage = GetComponentInChildren<Image>();
    }
}