﻿using UnityEngine;

public static class GameConfig
{
    public static bool IsMute
    {
        set
        {
            PlayerPrefs.SetInt("IsMute", value ? 1 : 0);
        }
        get
        {
            return PlayerPrefs.GetInt("IsMute", 1) == 1;
        }
    }

    public static bool IsFirstGacha
    {
        set
        {
            PlayerPrefs.SetInt("IsFirstGacha", value ? 1 : 0);
        }
        get
        {
            return PlayerPrefs.GetInt("IsFirstGacha", 1) == 1;
        }
    }

    public static bool IsFirstCardSet
    {
        set
        {
            PlayerPrefs.SetInt("IsFirstCardSet", value ? 1 : 0);
        }
        get
        {
            return PlayerPrefs.GetInt("IsFirstCardSet", 1) == 1;
        }
    }

    public static int BestScore
    {
        set
        {
            PlayerPrefs.SetInt("Best", value);
        }
        get
        {
            return PlayerPrefs.GetInt("Best", 0);
        }
    }

    public static int TotalUniBaster
    {
        set
        {
            PlayerPrefs.SetInt("TotalUniBaster", value);
        }
        get
        {
            return PlayerPrefs.GetInt("TotalUniBaster", 0);
        }
    }

    public static void Reset()
    {
        PlayerPrefs.DeleteAll();
    }
}