﻿using UnityEngine;
using System.Collections;
using System.Security.Policy;
using UnityEngine.UI;

public class GameTitle2 : MonoBehaviour
{
    public Text stagetext;
    public Button startButton;
    public Button rightButton;
    public Button leftButton;

    private int StageNo
    {
        set
        {
            stageNo = value;
            stagetext.text = "STAGE " + (stageNo+1);
        }
        get { return stageNo; }
    }
    private int stageNo;
    public int maxStage = 5;

	// Use this for initialization
	void Start () {
        rightButton.onClick.AddListener(() =>
        {
            StageNo = (StageNo + 1) % maxStage;
        });

        leftButton.onClick.AddListener(() =>
        {
            StageNo = (StageNo + maxStage - 1) % maxStage;
        });

        startButton.onClick.AddListener(() =>
        {
            GameMain.stageNo = StageNo;
            FadeManager.Instance.LoadLevel("Help",1.0f);
        });
	}
}
