﻿using UnityEngine;
using System.Collections;

public class GridBase : MonoBehaviour
{
    public GameObject gridPrefab;
    private const int GridX = 9;
    private const int GridY = 9;
    private const int GridSize = 10;

    // Use this for initialization
    void Start()
    {
        for (int x = 0; x < GridX; ++x)
        {
            for (int y = 0; y < GridY; ++y)
            {
                var obj = Instantiate(gridPrefab);
                obj.transform.localPosition = new Vector3(x * GridSize, 0, y * GridSize);
                obj.transform.localRotation = Quaternion.identity;
                obj.transform.SetParent(this.transform, false);
            }
        }
    }

    // Update is called once per frame
    void Update()
    {

    }
}
