﻿using System;
using System.Linq;
using UnityEngine;

public class ObstacleRideObject : RideObject
{
    public Sprite[] sprites;

    public override void SetCode(char code)
    {
        if (sprites.Any() == false) return;
        switch (code)
        {
            case 'r':
            case 'R':
                renderer.sprite = sprites[0];
                break;
            case 'w':
                renderer.sprite = sprites[2];
                break;
            case 'W':
                renderer.sprite = sprites[1];
                break;
            case 's':
            case 'S':
                renderer.sprite = sprites[3];
                break;
            default:
                renderer.sprite = sprites[0];
                break;
        }
    }
}